com.independentsoft.exchange

## Class Appointment

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Appointment

-     public class Appointment
      extends Item

  Represents an Exchange calendar item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Appointment()` Initializes a new instance of the Appointment class.
    `Appointment(MimeContent mimeContent)` Initializes a new instance of the Appointment class.
    `Appointment(java.lang.String subject)` Initializes a new instance of the Appointment class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAdjacentMeetingCount()` Gets the total number of appointments that are adjacent to a meeting time.
    `java.util.List<Item>` | `getAdjacentMeetings()` Gets all appointments that are adjacent to a meeting time.
    `boolean` | `getAllowNewTimeProposal()` Gets whether a new meeting time can be proposed for a meeting by an attendee.
    `BusyStatus` | `getBusyStatus()` Gets the free/busy status of the appointment.
    `java.util.Date` | `getCommonEndTime()` Gets the common end time.
    `java.util.Date` | `getCommonStartTime()` Gets the common start time.
    `int` | `getConferenceType()` Gets the type of conferencing that is performed with the appointment.
    `int` | `getConflictingMeetingCount()` Gets the number of meetings that conflict with the meetings.
    `java.util.List<Item>` | `getConflictingMeetings()` Gets all items that conflict with a meeting time.
    `java.util.Date` | `getDateTimeStamp()` Gets the date and time that an instance of the appointment object was created.
    `java.util.List<DeletedOccurrence>` | `getDeletedOccurrences()` Gets an array of deleted occurrences of a recurring appointment.
    `java.lang.String` | `getDuration()` Gets the duration of the appointment.
    `java.util.Date` | `getEndTime()` Gets the end of the appointment.
    `TimeZoneDefinition` | `getEndTimeZone()` Gets the end time zone of the appointment.
    `java.util.Date` | `getEndWallClock()` Gets the end time of a meeting in the time zone of the location in which the meeting takes place.
    `EnhancedLocation` | `getEnhancedLocation()` Gets location information such as the name, address, and optional notes about a location.
    `Occurrence` | `getFirstOccurrence()` Gets the first occurrence.
    `InstanceType` | `getInstanceType()` Gets the occurrence type of the appointment.
    `java.lang.String` | `getJoinOnlineMeetingUrl()` Gets the URL to join an online meeting.
    `int` | `getLabel()` Gets the label.
    `Occurrence` | `getLastOccurrence()` Gets the last occurrence of a recurring appointment.
    `LegacyFreeBusy` | `getLegacyFreeBusy()` Gets the free/busy status of the appointment.
    `java.lang.String` | `getLocation()` Gets the location of the appointment.
    `boolean` | `getMeetingRequestWasSent()` Gets whether a meeting request has been sent to requested attendees.
    `MeetingStatus` | `getMeetingStatus()` Gets the meeting status.
    `TimeZone` | `getMeetingTimeZone()` Gets the time zone of the location where the meeting is hosted.
    `java.lang.String` | `getMeetingWorkspaceUrl()` Gets the URL for the meeting workspace that is linked to by the appointment.
    `java.util.List<Occurrence>` | `getModifiedOccurrences()` Gets an array of recurring appointment occurrences that have been modified so that they differ from the recurrence master item.
    `ResponseType` | `getMyResponse()` Gets the status of or response to the appointment.
    `java.lang.String` | `getNetShowUrl()` Gets the URL for a Microsoft NetShow online meeting.
    `OnlineMeetingSettings` | `getOnlineMeetingSettings()` Gets the settings for online meetings.
    `java.util.List<Attendee>` | `getOptionalAttendees()` Gets a scheduled resource for the appointment.
    `Mailbox` | `getOrganizer()` Gets the organizer of the appointment.
    `java.util.Date` | `getOriginalStartTime()` Gets the original start time of the appointment.
    `Priority` | `getPriority()` Gets the priority.
    `Recurrence` | `getRecurrence()` Gets the recurrence pattern for appointment and meeting requests.
    `java.util.Date` | `getRecurrenceEnd()` Gets the recurrence end.
    `java.util.Date` | `getRecurrenceId()` Gets id of a specific instance of a recurring appointment.
    `java.lang.String` | `getRecurrencePattern()` Gets the recurrence pattern.
    `java.util.Date` | `getRecurrenceStart()` Gets the recurrence start.
    `java.util.Date` | `getReminderNextTime()` Gets the date and time for the next reminder.
    `boolean` | `getReminderOverrideDefault()` Gets the reminder override default.
    `boolean` | `getReminderPlaySound()` Gets the reminder play sound.
    `java.lang.String` | `getReminderSoundFile()` Gets the reminder sound file.
    `java.util.Date` | `getReplyTime()` Gets the date and time when an attendee replied to a meeting request.
    `java.util.List<Attendee>` | `getRequiredAttendees()` Gets attendees that are required to attend the appointment.
    `java.util.List<Attendee>` | `getResources()` Gets a scheduled resource for the appointment.
    `ResponseStatus` | `getResponseStatus()` Gets the response status.
    `int` | `getSequenceNumber()` Gets the sequence number of a version of the appointment.
    `java.util.Date` | `getStartTime()` Gets the start of the appointment.
    `TimeZoneDefinition` | `getStartTimeZone()` Gets the start time zone of the appointment.
    `java.util.Date` | `getStartWallClock()` Gets the start time of a meeting in the time zone of the location in which the meeting takes place.
    `int` | `getState()` Gets the status of the appointment.
    `java.lang.String` | `getTimeZone()` Gets a text description of a time zone.
    `java.lang.String` | `getUid()` Gets id of the appointment.
    `java.lang.String` | `getWhen()` Gets information about when the appointment occurs.
    `boolean` | `isAllDayEvent()` Gets whether the appointment an all-day event.
    `boolean` | `isCancelled()` Gets whether the appointment has been canceled.
    `boolean` | `isMeeting()` Gets whether the item is a meeting or appointment.
    `boolean` | `isOnlineMeeting()` Gets whether the meeting is online.
    `boolean` | `isPrivate()` Checks if is private.
    `boolean` | `isRecurring()` Gets whether the appointment is part of a recurring item.
    `boolean` | `isResponseRequested()` Gets whether a response to an item is required.
    `void` | `setAllDayEvent(boolean isAllDayEvent)` Sets whether the appointment an all-day event.
    `void` | `setAllowNewTimeProposal(boolean allowNewTimeProposal)` Sets whether a new meeting time can be proposed for a meeting by an attendee.
    `void` | `setBusyStatus(BusyStatus busyStatus)` Sets the free/busy status of the appointment.
    `void` | `setCommonEndTime(java.util.Date commonEndTime)` Sets the common end time.
    `void` | `setCommonStartTime(java.util.Date commonStartTime)` Sets the common start time.
    `void` | `setConferenceType(int conferenceType)` Sets the type of conferencing that is performed with the appointment.
    `void` | `setEndTime(java.util.Date endTime)` Sets the end of the appointment.
    `void` | `setEndTimeZone(TimeZoneDefinition endTimeZone)` Sets the end time zone of the appointment.
    `void` | `setEnhancedLocation(EnhancedLocation enhancedLocation)` Sets location information such as the name, address, and optional notes about a location.
    `void` | `setJoinOnlineMeetingUrl(java.lang.String joinOnlineMeetingUrl)` Sets the URL to join an online meeting.
    `void` | `setLabel(int label)` Sets the label.
    `void` | `setLegacyFreeBusy(LegacyFreeBusy legacyFreeBusyStatus)` Sets the free/busy status of the appointment.
    `void` | `setLocation(java.lang.String location)` Sets the location of the appointment.
    `void` | `setMeetingStatus(MeetingStatus meetingStatus)` Sets the meeting status.
    `void` | `setMeetingTimeZone(TimeZone meetingTimeZone)` Sets the time zone of the location where the meeting is hosted.
    `void` | `setMeetingWorkspaceUrl(java.lang.String meetingWorkspaceUrl)` Sets the URL for the meeting workspace that is linked to by the appointment.
    `void` | `setNetShowUrl(java.lang.String netShowUrl)` Sets the URL for a Microsoft NetShow online meeting.
    `void` | `setOnlineMeeting(boolean isOnlineMeeting)` Sets whether the meeting is online.
    `void` | `setOnlineMeetingSettings(OnlineMeetingSettings onlineMeetingSettings)` Sets the settings for online meetings.
    `void` | `setPriority(Priority priority)` Sets the priority.
    `void` | `setPrivate(boolean isPrivate)` Sets the private.
    `void` | `setRecurrence(Recurrence recurrence)` Sets the recurrence pattern for appointment and meeting requests.
    `void` | `setRecurrenceEnd(java.util.Date recurrenceEnd)` Sets the recurrence end.
    `void` | `setRecurrencePattern(java.lang.String recurrencePattern)` Sets the recurrence pattern.
    `void` | `setRecurrenceStart(java.util.Date recurrenceStart)` Sets the recurrence start.
    `void` | `setReminderNextTime(java.util.Date reminderNextTime)` Sets the date and time for the next reminder.
    `void` | `setReminderOverrideDefault(boolean reminderOverrideDefault)` Sets the reminder override default.
    `void` | `setReminderPlaySound(boolean reminderPlaySound)` Sets the reminder play sound.
    `void` | `setReminderSoundFile(java.lang.String reminderSoundFile)` Sets the reminder sound file.
    `void` | `setResponseRequested(boolean isResponseRequested)` Sets whether a response to an item is required.
    `void` | `setResponseStatus(ResponseStatus responseStatus)` Sets the response status.
    `void` | `setStartTime(java.util.Date startTime)` Sets the start of the appointment.
    `void` | `setStartTimeZone(TimeZoneDefinition startTimeZone)` Sets the start time zone of the appointment.
    `void` | `setUid(java.lang.String uid)` Sets id of the appointment
    `void` | `setWhen(java.lang.String when)` Sets information about when the appointment occurs.
    `java.lang.String` | `toString()` Converts the value of the current Item object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Appointment

          public Appointment()

      Initializes a new instance of the Appointment class.

    - #### Appointment

          public Appointment(java.lang.String subject)

      Initializes a new instance of the Appointment class.
      Parameters:
        `subject` - the subject

    - #### Appointment

          public Appointment(MimeContent mimeContent)

      Initializes a new instance of the Appointment class.
      Parameters:
        `mimeContent` - the mime content

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Item`
      Converts the value of the current Item object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string

    - #### getReminderNextTime

          public java.util.Date getReminderNextTime()

      Gets the date and time for the next reminder.
      Returns:
        the reminder next time

    - #### setReminderNextTime

          public void setReminderNextTime(java.util.Date reminderNextTime)

      Sets the date and time for the next reminder.
      Parameters:
        `reminderNextTime` - the new reminder next time

    - #### getStartWallClock

          public java.util.Date getStartWallClock()

      Gets the start time of a meeting in the time zone of the location in which the meeting takes place.
      Returns:
        the start wall clock

    - #### getEndWallClock

          public java.util.Date getEndWallClock()

      Gets the end time of a meeting in the time zone of the location in which the meeting takes place.
      Returns:
        the end wall clock

    - #### getUid

          public java.lang.String getUid()

      Gets id of the appointment.
      Returns:
        the uid

    - #### setUid

          public void setUid(java.lang.String uid)

      Sets id of the appointment

    - #### getRecurrenceId

          public java.util.Date getRecurrenceId()

      Gets id of a specific instance of a recurring appointment.
      Returns:
        the recurrence id

    - #### getDateTimeStamp

          public java.util.Date getDateTimeStamp()

      Gets the date and time that an instance of the appointment object was created.
      Returns:
        the date time stamp

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start of the appointment.
      Returns:
        the start time

    - #### setStartTime

          public void setStartTime(java.util.Date startTime)

      Sets the start of the appointment.
      Parameters:
        `startTime` - the new start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Gets the end of the appointment.
      Returns:
        the end time

    - #### setEndTime

          public void setEndTime(java.util.Date endTime)

      Sets the end of the appointment.
      Parameters:
        `endTime` - the new end time

    - #### getOriginalStartTime

          public java.util.Date getOriginalStartTime()

      Gets the original start time of the appointment.
      Returns:
        the original start time

    - #### isAllDayEvent

          public boolean isAllDayEvent()

      Gets whether the appointment an all-day event.
      Returns:
        true, if is all day event

    - #### setAllDayEvent

          public void setAllDayEvent(boolean isAllDayEvent)

      Sets whether the appointment an all-day event.
      Parameters:
        `isAllDayEvent` - the new all day event

    - #### getLegacyFreeBusy

          public LegacyFreeBusy getLegacyFreeBusy()

      Gets the free/busy status of the appointment.
      Returns:
        the legacy free busy

    - #### setLegacyFreeBusy

          public void setLegacyFreeBusy(LegacyFreeBusy legacyFreeBusyStatus)

      Sets the free/busy status of the appointment.
      Parameters:
        `legacyFreeBusyStatus` - the new legacy free busy

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location of the appointment.
      Returns:
        the location

    - #### setLocation

          public void setLocation(java.lang.String location)

      Sets the location of the appointment.
      Parameters:
        `location` - the new location

    - #### getWhen

          public java.lang.String getWhen()

      Gets information about when the appointment occurs.
      Returns:
        the when

    - #### setWhen

          public void setWhen(java.lang.String when)

      Sets information about when the appointment occurs.
      Parameters:
        `when` - the new when

    - #### isMeeting

          public boolean isMeeting()

      Gets whether the item is a meeting or appointment.
      Returns:
        true, if is meeting

    - #### isCancelled

          public boolean isCancelled()

      Gets whether the appointment has been canceled.
      Returns:
        true, if is cancelled

    - #### isRecurring

          public boolean isRecurring()

      Gets whether the appointment is part of a recurring item.
      Returns:
        true, if is recurring

    - #### getMeetingRequestWasSent

          public boolean getMeetingRequestWasSent()

      Gets whether a meeting request has been sent to requested attendees.
      Returns:
        the meeting request was sent

    - #### isResponseRequested

          public boolean isResponseRequested()

      Gets whether a response to an item is required.
      Returns:
        true, if is response requested

    - #### setResponseRequested

          public void setResponseRequested(boolean isResponseRequested)

      Sets whether a response to an item is required.
      Parameters:
        `isResponseRequested` - the new response requested

    - #### getInstanceType

          public InstanceType getInstanceType()

      Gets the occurrence type of the appointment.
      Returns:
        the instance type

    - #### getMyResponse

          public ResponseType getMyResponse()

      Gets the status of or response to the appointment.
      Returns:
        the my response

    - #### getOrganizer

          public Mailbox getOrganizer()

      Gets the organizer of the appointment.
      Returns:
        the organizer

    - #### getRequiredAttendees

          public java.util.List<Attendee> getRequiredAttendees()

      Gets attendees that are required to attend the appointment.
      Returns:
        the required attendees

    - #### getOptionalAttendees

          public java.util.List<Attendee> getOptionalAttendees()

      Gets a scheduled resource for the appointment.
      Returns:
        the optional attendees

    - #### getResources

          public java.util.List<Attendee> getResources()

      Gets a scheduled resource for the appointment.
      Returns:
        the resources

    - #### getConflictingMeetingCount

          public int getConflictingMeetingCount()

      Gets the number of meetings that conflict with the meetings.
      Returns:
        the conflicting meeting count

    - #### getAdjacentMeetingCount

          public int getAdjacentMeetingCount()

      Gets the total number of appointments that are adjacent to a meeting time.
      Returns:
        the adjacent meeting count

    - #### getConflictingMeetings

          public java.util.List<Item> getConflictingMeetings()

      Gets all items that conflict with a meeting time.
      Returns:
        the conflicting meetings

    - #### getAdjacentMeetings

          public java.util.List<Item> getAdjacentMeetings()

      Gets all appointments that are adjacent to a meeting time.
      Returns:
        the adjacent meetings

    - #### getDuration

          public java.lang.String getDuration()

      Gets the duration of the appointment.
      Returns:
        the duration

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Gets a text description of a time zone.
      Returns:
        the time zone

    - #### getReplyTime

          public java.util.Date getReplyTime()

      Gets the date and time when an attendee replied to a meeting request.
      Returns:
        the reply time

    - #### getSequenceNumber

          public int getSequenceNumber()

      Gets the sequence number of a version of the appointment.
      Returns:
        the sequence number

    - #### getState

          public int getState()

      Gets the status of the appointment.
      Returns:
        the state

    - #### getRecurrence

          public Recurrence getRecurrence()

      Gets the recurrence pattern for appointment and meeting requests.
      Returns:
        the recurrence

    - #### setRecurrence

          public void setRecurrence(Recurrence recurrence)

      Sets the recurrence pattern for appointment and meeting requests.
      Parameters:
        `recurrence` - the new recurrence

    - #### getFirstOccurrence

          public Occurrence getFirstOccurrence()

      Gets the first occurrence.
      Returns:
        the first occurrence

    - #### getLastOccurrence

          public Occurrence getLastOccurrence()

      Gets the last occurrence of a recurring appointment.
      Returns:
        the last occurrence

    - #### getModifiedOccurrences

          public java.util.List<Occurrence> getModifiedOccurrences()

      Gets an array of recurring appointment occurrences that have been modified so that they differ from the recurrence master item.
      Returns:
        the modified occurrences

    - #### getDeletedOccurrences

          public java.util.List<DeletedOccurrence> getDeletedOccurrences()

      Gets an array of deleted occurrences of a recurring appointment.
      Returns:
        the deleted occurrences

    - #### getMeetingTimeZone

          public TimeZone getMeetingTimeZone()

      Gets the time zone of the location where the meeting is hosted.
      Returns:
        the meeting time zone

    - #### setMeetingTimeZone

          public void setMeetingTimeZone(TimeZone meetingTimeZone)

      Sets the time zone of the location where the meeting is hosted.
      Parameters:
        `meetingTimeZone` - the new meeting time zone

    - #### getStartTimeZone

          public TimeZoneDefinition getStartTimeZone()

      Gets the start time zone of the appointment.
      Returns:
        the start time zone

    - #### setStartTimeZone

          public void setStartTimeZone(TimeZoneDefinition startTimeZone)

      Sets the start time zone of the appointment.
      Parameters:
        `startTimeZone` - the new start time zone

    - #### getEndTimeZone

          public TimeZoneDefinition getEndTimeZone()

      Gets the end time zone of the appointment.
      Returns:
        the end time zone

    - #### setEndTimeZone

          public void setEndTimeZone(TimeZoneDefinition endTimeZone)

      Sets the end time zone of the appointment.
      Parameters:
        `endTimeZone` - the new end time zone

    - #### getConferenceType

          public int getConferenceType()

      Gets the type of conferencing that is performed with the appointment.
      Returns:
        the conference type

    - #### setConferenceType

          public void setConferenceType(int conferenceType)

      Sets the type of conferencing that is performed with the appointment.
      Parameters:
        `conferenceType` - the new conference type

    - #### getAllowNewTimeProposal

          public boolean getAllowNewTimeProposal()

      Gets whether a new meeting time can be proposed for a meeting by an attendee.
      Returns:
        the allow new time proposal

    - #### setAllowNewTimeProposal

          public void setAllowNewTimeProposal(boolean allowNewTimeProposal)

      Sets whether a new meeting time can be proposed for a meeting by an attendee.
      Parameters:
        `allowNewTimeProposal` - the new allow new time proposal

    - #### isOnlineMeeting

          public boolean isOnlineMeeting()

      Gets whether the meeting is online.
      Returns:
        true, if is online meeting

    - #### setOnlineMeeting

          public void setOnlineMeeting(boolean isOnlineMeeting)

      Sets whether the meeting is online.
      Parameters:
        `isOnlineMeeting` - the new online meeting

    - #### getMeetingWorkspaceUrl

          public java.lang.String getMeetingWorkspaceUrl()

      Gets the URL for the meeting workspace that is linked to by the appointment.
      Returns:
        the meeting workspace url

    - #### setMeetingWorkspaceUrl

          public void setMeetingWorkspaceUrl(java.lang.String meetingWorkspaceUrl)

      Sets the URL for the meeting workspace that is linked to by the appointment.
      Parameters:
        `meetingWorkspaceUrl` - the new meeting workspace url

    - #### getNetShowUrl

          public java.lang.String getNetShowUrl()

      Gets the URL for a Microsoft NetShow online meeting.
      Returns:
        the net show url

    - #### setNetShowUrl

          public void setNetShowUrl(java.lang.String netShowUrl)

      Sets the URL for a Microsoft NetShow online meeting.
      Parameters:
        `netShowUrl` - the new net show url

    - #### getEnhancedLocation

          public EnhancedLocation getEnhancedLocation()

      Gets location information such as the name, address, and optional notes about a location.
      Returns:
        the enhanced location

    - #### setEnhancedLocation

          public void setEnhancedLocation(EnhancedLocation enhancedLocation)

      Sets location information such as the name, address, and optional notes about a location.
      Parameters:
        `enhancedLocation` - the new enhanced location

    - #### getJoinOnlineMeetingUrl

          public java.lang.String getJoinOnlineMeetingUrl()

      Gets the URL to join an online meeting.
      Returns:
        the join online meeting url

    - #### setJoinOnlineMeetingUrl

          public void setJoinOnlineMeetingUrl(java.lang.String joinOnlineMeetingUrl)

      Sets the URL to join an online meeting.
      Parameters:
        `joinOnlineMeetingUrl` - the new join online meeting url

    - #### getOnlineMeetingSettings

          public OnlineMeetingSettings getOnlineMeetingSettings()

      Gets the settings for online meetings.
      Returns:
        the online meeting settings

    - #### setOnlineMeetingSettings

          public void setOnlineMeetingSettings(OnlineMeetingSettings onlineMeetingSettings)

      Sets the settings for online meetings.
      Parameters:
        `onlineMeetingSettings` - the new online meeting settings

    - #### getBusyStatus

          public BusyStatus getBusyStatus()

      Gets the free/busy status of the appointment.
      Returns:
        the busy status

    - #### setBusyStatus

          public void setBusyStatus(BusyStatus busyStatus)

      Sets the free/busy status of the appointment.
      Parameters:
        `busyStatus` - the new busy status

    - #### getMeetingStatus

          public MeetingStatus getMeetingStatus()

      Gets the meeting status.
      Returns:
        the meeting status

    - #### setMeetingStatus

          public void setMeetingStatus(MeetingStatus meetingStatus)

      Sets the meeting status.
      Parameters:
        `meetingStatus` - the new meeting status

    - #### getResponseStatus

          public ResponseStatus getResponseStatus()

      Gets the response status.
      Returns:
        the response status

    - #### setResponseStatus

          public void setResponseStatus(ResponseStatus responseStatus)

      Sets the response status.
      Parameters:
        `responseStatus` - the new response status

    - #### isPrivate

          public boolean isPrivate()

      Checks if is private.
      Returns:
        true, if is private

    - #### setPrivate

          public void setPrivate(boolean isPrivate)

      Sets the private.
      Parameters:
        `isPrivate` - the new private

    - #### getCommonStartTime

          public java.util.Date getCommonStartTime()

      Gets the common start time.
      Returns:
        the common start time

    - #### setCommonStartTime

          public void setCommonStartTime(java.util.Date commonStartTime)

      Sets the common start time.
      Parameters:
        `commonStartTime` - the new common start time

    - #### getCommonEndTime

          public java.util.Date getCommonEndTime()

      Gets the common end time.
      Returns:
        the common end time

    - #### setCommonEndTime

          public void setCommonEndTime(java.util.Date commonEndTime)

      Sets the common end time.
      Parameters:
        `commonEndTime` - the new common end time

    - #### getReminderOverrideDefault

          public boolean getReminderOverrideDefault()

      Gets the reminder override default.
      Returns:
        the reminder override default

    - #### setReminderOverrideDefault

          public void setReminderOverrideDefault(boolean reminderOverrideDefault)

      Sets the reminder override default.
      Parameters:
        `reminderOverrideDefault` - the new reminder override default

    - #### getReminderPlaySound

          public boolean getReminderPlaySound()

      Gets the reminder play sound.
      Returns:
        the reminder play sound

    - #### setReminderPlaySound

          public void setReminderPlaySound(boolean reminderPlaySound)

      Sets the reminder play sound.
      Parameters:
        `reminderPlaySound` - the new reminder play sound

    - #### getReminderSoundFile

          public java.lang.String getReminderSoundFile()

      Gets the reminder sound file.
      Returns:
        the reminder sound file

    - #### setReminderSoundFile

          public void setReminderSoundFile(java.lang.String reminderSoundFile)

      Sets the reminder sound file.
      Parameters:
        `reminderSoundFile` - the new reminder sound file

    - #### getLabel

          public int getLabel()

      Gets the label.
      Returns:
        the label

    - #### setLabel

          public void setLabel(int label)

      Sets the label.
      Parameters:
        `label` - the new label

    - #### getRecurrencePattern

          public java.lang.String getRecurrencePattern()

      Gets the recurrence pattern.
      Returns:
        the recurrence pattern

    - #### setRecurrencePattern

          public void setRecurrencePattern(java.lang.String recurrencePattern)

      Sets the recurrence pattern.
      Parameters:
        `recurrencePattern` - the new recurrence pattern

    - #### getRecurrenceStart

          public java.util.Date getRecurrenceStart()

      Gets the recurrence start.
      Returns:
        the recurrence start

    - #### setRecurrenceStart

          public void setRecurrenceStart(java.util.Date recurrenceStart)

      Sets the recurrence start.
      Parameters:
        `recurrenceStart` - the new recurrence start

    - #### getRecurrenceEnd

          public java.util.Date getRecurrenceEnd()

      Gets the recurrence end.
      Returns:
        the recurrence end

    - #### setRecurrenceEnd

          public void setRecurrenceEnd(java.util.Date recurrenceEnd)

      Sets the recurrence end.
      Parameters:
        `recurrenceEnd` - the new recurrence end

    - #### getPriority

          public Priority getPriority()

      Gets the priority.
      Returns:
        the priority

    - #### setPriority

          public void setPriority(Priority priority)

      Sets the priority.
      Parameters:
        `priority` - the new priority